/*
 * Copyright 2009 OW2 Chameleon
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.ow2.chameleon.core;

/**
 * String Utils methods.
 * @author <a href="mailto:chameleon-dev@ow2.org">Chameleon Project Team</a>
 */
public final class StringUtils {

    /**
     * Constructor to avoid creating new String Utils instances.
     */
    private StringUtils() { }

    /**
     * Returns true if and only if the given string contains the specified
     * sequence of char values.
     * @param string the string to analyze
     * @param s the sequence to search for
     * @return true if the string <code>string</code> contains <code>s</code>,
     *  false otherwise
     */
    public static boolean contains(String string, String s) {
        return string.indexOf(s) > -1;
    }


}
